Package de.willuhn.jameica.hbci.server

# Class UmsatzTypUtil.UmsatzTypUnassigned

java.lang.Object
de.willuhn.jameica.hbci.server.UmsatzTypUtil.UmsatzTypUnassigned

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.GenericObjectNode`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.DBObjectNode`, `de.willuhn.datasource.rmi.Transactionable`, `UmsatzTyp`, `Remote`

Enclosing class:
  `UmsatzTypUtil`

public static class UmsatzTypUtil.UmsatzTypUnassigned extends Object implements UmsatzTyp
Virtuelle Umsatz-Typ-Bean fuer "nicht zugeordnet".

## Field Summary

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.UmsatzTyp

`FLAG_NONE, FLAG_SKIP_REPORTS, MAXLENGTH_PATTERN, TYP_AUSGABE, TYP_EGAL, TYP_EINNAHME`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzTypUnassigned()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDeleteListener(de.willuhn.datasource.rmi.Listener arg0)`
`void`
`addStoreListener(de.willuhn.datasource.rmi.Listener arg0)`
`void`
`clear()`
`void`
`delete()`
`boolean`
`equals(de.willuhn.datasource.GenericObject arg0)`
`Object`
`getAttribute(String attribute)`
`String[]`
`getAttributeNames()`
`String`
`getAttributeType(String arg0)`
`de.willuhn.datasource.GenericIterator`
`getChildren()`
`int[]`
`getColor()`
Liefert die fuer diese Kategorie zu verwendende Farbe.
`int`
`getFlags()`
Liefert ein Bit-Feld mit Flags.
`String`
`getID()`
`String`
`getKommentar()`
Liefert den Kommentar fuer den Umsatztyp.
`Konto`
`getKonto()`
Liefert das optional zugeordnete Konto.
`String`
`getKontoKategorie()`
Liefert eine optionale Konto-Kategorie.
`de.willuhn.datasource.rmi.DBIterator`
`getList()`
`String`
`getName()`
Liefert den Namen des Umsatz-Typs.
`String`
`getNummer()`
Liefert die Nummer des Umsatz-Typs.
`de.willuhn.datasource.GenericObjectNode`
`getParent()`
`de.willuhn.datasource.GenericIterator`
`getPath()`
`String`
`getPath(String sep)`
Liefert einen Pfad mit den Namen der Kategorien bis zur obersten Ebene.
`String`
`getPattern()`
Liefert das Suchmuster fuer den Umsatztyp.
`de.willuhn.datasource.GenericIterator`
`getPossibleParents()`
`String`
`getPrimaryAttribute()`
`de.willuhn.datasource.GenericIterator`
`getTopLevelList()`
`int`
`getTyp()`
Liefert den Typ der Kategorie.
`de.willuhn.datasource.GenericIterator`
`getUmsaetze()`
Liefert eine Liste von Umsaetzen, die diesem Umsatz-Typ entsprechen.
`de.willuhn.datasource.GenericIterator`
`getUmsaetze(int days)`
Liefert eine Liste von Umsaetzen der letzten Tage, die diesem Umsatz-Typ entsprechen.
`de.willuhn.datasource.GenericIterator`
`getUmsaetze(Date von, Date bis)`
Liefert eine Liste von Umsaetzen aus dem angegebenen Zeitraum.
`double`
`getUmsatz()`
Liefert die Hoehe des Umsatzes, der fuer diesen Umsatztyp auf allen Konten vorliegt.
`double`
`getUmsatz(int days)`
Liefert die Hoehe des Umsatzes der letzten Tage, der fuer diesen Umsatztyp auf allen Konten vorliegt.
`double`
`getUmsatz(Date von, Date bis)`
Liefert die Hoehe des Umsatzes aus dem angegebenen Zeitraum.
`boolean`
`hasChild(de.willuhn.datasource.GenericObjectNode arg0)`
`boolean`
`hasFlag(int flag)`
Prueft, ob das angegebene Flag vorhanden ist.
`boolean`
`isCustomColor()`
Prueft, ob eine benutzerdefinierte Farbe verwendet werden soll.
`boolean`
`isNewObject()`
`boolean`
`isRegex()`
Prueft, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.
`void`
`load(String arg0)`
`boolean`
`matches(Umsatz umsatz)`
Prueft, ob der Umsatz diesem Pattern entspricht.
`boolean`
`matches(Umsatz umsatz, boolean allowReassign)`
Prueft, ob der Umsatz diesem Pattern entspricht.
`void`
`overwrite(de.willuhn.datasource.rmi.DBObject arg0)`
`void`
`removeDeleteListener(de.willuhn.datasource.rmi.Listener arg0)`
`void`
`removeStoreListener(de.willuhn.datasource.rmi.Listener arg0)`
`void`
`setColor(int[] rgb)`
Speichert die Farbe fuer die Umsatz-Kategorie.
`void`
`setCustomColor(boolean b)`
Legt fest, ob eine benutzerdefinierte Farbe verwendet werden soll.
`void`
`setFlags(int flags)`
Speichert die Flags einen Objektes.
`void`
`setKommentar(String kommentar)`
Speichert den Kommentar fuer den Umsatztyp.
`void`
`setKonto(Konto konto)`
Speichert das optional zugeordnete Konto.
`void`
`setKontoKategorie(String kategorie)`
Speichert eine optionale Konto-Kategorie.
`void`
`setName(String name)`
Speichert den Namen des Umsatz-Typs.
`void`
`setNummer(String nummer)`
Speichert die Nummer des Umsatz-Typs.
`void`
`setParent(de.willuhn.datasource.rmi.DBObjectNode arg0)`
`void`
`setPattern(String pattern)`
Speichert das Suchmuster fuer den Umsatztyp.
`void`
`setRegex(boolean regex)`
Speichert, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.
`void`
`setTyp(int typ)`
Speichert den Typ der Kategorie.
`void`
`store()`
`void`
`transactionBegin()`
`void`
`transactionCommit()`
`void`
`transactionRollback()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzTypUnassigned

public UmsatzTypUnassigned()

## Method Details

### getAttribute

public Object getAttribute(String attribute) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.getAttribute(java.lang.String)`

### getTopLevelList

public de.willuhn.datasource.GenericIterator getTopLevelList() throws RemoteException

Specified by:
  `getTopLevelList` in interface `de.willuhn.datasource.rmi.DBObjectNode`
Throws:
  `RemoteException`
See Also:
  - `DBObjectNode.getTopLevelList()`

### setParent

public void setParent(de.willuhn.datasource.rmi.DBObjectNode arg0) throws RemoteException

Specified by:
  `setParent` in interface `de.willuhn.datasource.rmi.DBObjectNode`
Throws:
  `RemoteException`
See Also:
  - `DBObjectNode.setParent(de.willuhn.datasource.rmi.DBObjectNode)`

### addDeleteListener

public void addDeleteListener(de.willuhn.datasource.rmi.Listener arg0) throws RemoteException

Specified by:
  `addDeleteListener` in interface `de.willuhn.datasource.rmi.DBObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.addDeleteListener(de.willuhn.datasource.rmi.Listener)`

### addStoreListener

public void addStoreListener(de.willuhn.datasource.rmi.Listener arg0) throws RemoteException

Specified by:
  `addStoreListener` in interface `de.willuhn.datasource.rmi.DBObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.addStoreListener(de.willuhn.datasource.rmi.Listener)`

### equals

public boolean equals(de.willuhn.datasource.GenericObject arg0) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.equals(de.willuhn.datasource.GenericObject)`

### getAttributeType

public String getAttributeType(String arg0) throws RemoteException

Specified by:
  `getAttributeType` in interface `de.willuhn.datasource.rmi.DBObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.getAttributeType(java.lang.String)`

### getList

public de.willuhn.datasource.rmi.DBIterator getList() throws RemoteException

Specified by:
  `getList` in interface `de.willuhn.datasource.rmi.DBObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.getList()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.getPrimaryAttribute()`

### load

public void load(String arg0) throws RemoteException

Specified by:
  `load` in interface `de.willuhn.datasource.rmi.DBObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.load(java.lang.String)`

### removeDeleteListener

public void removeDeleteListener(de.willuhn.datasource.rmi.Listener arg0) throws RemoteException

Specified by:
  `removeDeleteListener` in interface `de.willuhn.datasource.rmi.DBObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.removeDeleteListener(de.willuhn.datasource.rmi.Listener)`

### removeStoreListener

public void removeStoreListener(de.willuhn.datasource.rmi.Listener arg0) throws RemoteException

Specified by:
  `removeStoreListener` in interface `de.willuhn.datasource.rmi.DBObject`
Throws:
  `RemoteException`
See Also:
  - `DBObject.removeStoreListener(de.willuhn.datasource.rmi.Listener)`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttributeNames()`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getID()`

### transactionBegin

public void transactionBegin() throws RemoteException

Specified by:
  `transactionBegin` in interface `de.willuhn.datasource.rmi.Transactionable`
Throws:
  `RemoteException`
See Also:
  - `Transactionable.transactionBegin()`

### transactionCommit

public void transactionCommit() throws RemoteException

Specified by:
  `transactionCommit` in interface `de.willuhn.datasource.rmi.Transactionable`
Throws:
  `RemoteException`
See Also:
  - `Transactionable.transactionCommit()`

### transactionRollback

public void transactionRollback() throws RemoteException

Specified by:
  `transactionRollback` in interface `de.willuhn.datasource.rmi.Transactionable`
Throws:
  `RemoteException`
See Also:
  - `Transactionable.transactionRollback()`

### clear

public void clear() throws RemoteException

Specified by:
  `clear` in interface `de.willuhn.datasource.rmi.Changeable`
Throws:
  `RemoteException`
See Also:
  - `Changeable.clear()`

### delete

public void delete() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `delete` in interface `de.willuhn.datasource.rmi.Changeable`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Changeable.delete()`

### isNewObject

public boolean isNewObject() throws RemoteException

Specified by:
  `isNewObject` in interface `de.willuhn.datasource.rmi.Changeable`
Throws:
  `RemoteException`
See Also:
  - `Changeable.isNewObject()`

### overwrite

public void overwrite(de.willuhn.datasource.rmi.DBObject arg0) throws RemoteException

Specified by:
  `overwrite` in interface `de.willuhn.datasource.rmi.Changeable`
Throws:
  `RemoteException`
See Also:
  - `Changeable.overwrite(de.willuhn.datasource.rmi.DBObject)`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Changeable.store()`

### getChildren

public de.willuhn.datasource.GenericIterator getChildren() throws RemoteException

Specified by:
  `getChildren` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getChildren()`

### getParent

public de.willuhn.datasource.GenericObjectNode getParent() throws RemoteException

Specified by:
  `getParent` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getParent()`

### getPath

public de.willuhn.datasource.GenericIterator getPath() throws RemoteException

Specified by:
  `getPath` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPath()`

### getPossibleParents

public de.willuhn.datasource.GenericIterator getPossibleParents() throws RemoteException

Specified by:
  `getPossibleParents` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.getPossibleParents()`

### hasChild

public boolean hasChild(de.willuhn.datasource.GenericObjectNode arg0) throws RemoteException

Specified by:
  `hasChild` in interface `de.willuhn.datasource.GenericObjectNode`
Throws:
  `RemoteException`
See Also:
  - `GenericObjectNode.hasChild(de.willuhn.datasource.GenericObjectNode)`

### getName

public String getName() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert den Namen des Umsatz-Typs.

Specified by:
  `getName` in interface `UmsatzTyp`
Returns:
  Name des Umsatz-Typs.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getName()`

### setName

public void setName(String name) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert den Namen des Umsatz-Typs.

Specified by:
  `setName` in interface `UmsatzTyp`
Parameters:
  `name` - Name des Umsatz-Typs.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setName(java.lang.String)`

### getNummer

public String getNummer() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Nummer des Umsatz-Typs. Die Nummer wird für die Sortierung bei der Auswertung eingesetzt.

Specified by:
  `getNummer` in interface `UmsatzTyp`
Returns:
  Nummer des Umsatz-Typs.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getNummer()`

### setNummer

public void setNummer(String nummer) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert die Nummer des Umsatz-Typs.

Specified by:
  `setNummer` in interface `UmsatzTyp`
Parameters:
  `nummer` - Nummer des Umsatz-Typs
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setNummer(java.lang.String)`

### getPattern

public String getPattern() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert das Suchmuster fuer den Umsatztyp.

Specified by:
  `getPattern` in interface `UmsatzTyp`
Returns:
  Suchmuster.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getPattern()`

### setPattern

public void setPattern(String pattern) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert das Suchmuster fuer den Umsatztyp.

Specified by:
  `setPattern` in interface `UmsatzTyp`
Parameters:
  `pattern` - das Suchmuster.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setPattern(java.lang.String)`

### getUmsaetze

public de.willuhn.datasource.GenericIterator getUmsaetze() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine Liste von Umsaetzen, die diesem Umsatz-Typ entsprechen.

Specified by:
  `getUmsaetze` in interface `UmsatzTyp`
Returns:
  Umsatz-Liste.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsaetze()`

### getUmsaetze

public de.willuhn.datasource.GenericIterator getUmsaetze(Date von, Date bis) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine Liste von Umsaetzen aus dem angegebenen Zeitraum.

Specified by:
  `getUmsaetze` in interface `UmsatzTyp`
Parameters:
  `von` - Start-Datum. Wenn == null, dann bleibt es unberücksichtigt.
  `bis` - Ende-Datum. Wenn == null, dann bleibt es unberücksichtigt.
Returns:
  Umsatz-Liste.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsaetze(java.util.Date, java.util.Date)`

### getUmsaetze

public de.willuhn.datasource.GenericIterator getUmsaetze(int days) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine Liste von Umsaetzen der letzten Tage, die diesem Umsatz-Typ entsprechen.

Specified by:
  `getUmsaetze` in interface `UmsatzTyp`
Parameters:
  `days` - Anzahl der Tage.
Returns:
  Umsatz-Liste.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsaetze(int)`

### getUmsatz

public double getUmsatz() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Hoehe des Umsatzes, der fuer diesen Umsatztyp auf allen Konten vorliegt.

Specified by:
  `getUmsatz` in interface `UmsatzTyp`
Returns:
  Hoehe des Umsatzes.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsatz()`

### getUmsatz

public double getUmsatz(Date von, Date bis) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Hoehe des Umsatzes aus dem angegebenen Zeitraum.

Specified by:
  `getUmsatz` in interface `UmsatzTyp`
Parameters:
  `von` - Start-Datum. Wenn == null, dann bleibt es unberücksichtigt.
  `bis` - Ende-Datum. Wenn == null, dann bleibt es unberücksichtigt.
Returns:
  Hoehe des Umsatzes.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsatz(java.util.Date, java.util.Date)`

### getUmsatz

public double getUmsatz(int days) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die Hoehe des Umsatzes der letzten Tage, der fuer diesen Umsatztyp auf allen Konten vorliegt.

Specified by:
  `getUmsatz` in interface `UmsatzTyp`
Parameters:
  `days` - Anzahl der Tage.
Returns:
  Hoehe des Umsatzes.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getUmsatz(int)`

### isRegex

public boolean isRegex() throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.

Specified by:
  `isRegex` in interface `UmsatzTyp`
Returns:
  true, wenn es sich um einen regulaeren Ausdruck handelt.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.isRegex()`

### getTyp

public int getTyp() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert den Typ der Kategorie.

Specified by:
  `getTyp` in interface `UmsatzTyp`
Returns:
  Typ der Kategorie.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getTyp()`

### setTyp

public void setTyp(int typ) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert den Typ der Kategorie.

Specified by:
  `setTyp` in interface `UmsatzTyp`
Parameters:
  `typ` - Typ der Kategorie.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setTyp(int)`

### setRegex

public void setRegex(boolean regex) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert, ob es sich bei dem Pattern um einen regulaeren Ausdruck handelt.

Specified by:
  `setRegex` in interface `UmsatzTyp`
Parameters:
  `regex` - true, wenn es sich um einen regulaeren Ausdruck handelt.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setRegex(boolean)`

### matches

public boolean matches(Umsatz umsatz, boolean allowReassign) throws RemoteException, PatternSyntaxException
Description copied from interface: `UmsatzTyp`
Prueft, ob der Umsatz diesem Pattern entspricht. Ist fuer den Umsatz-Typ kein Pattern definiert, liefert die Funktion immer false.

Specified by:
  `matches` in interface `UmsatzTyp`
Parameters:
  `umsatz` - zu pruefender Umsatz.
  `allowReassign` - true, wenn der Umsatz auch dann als passend gewertet werden soll, wenn er bereits fest einer anderen Kategorie zugeordnet ist. Per Default (also wenn die "matches(Umsatz)"-Funktion ohne diesen Boolean-Parameter aufgerufen wird) ist dieser Parameter "false". Das heisst, ein Umsatz, der bereits manuell (nicht per Suchbegriff) einer anderen Kategorie zugeordnet ist, liefert hier false, wenn "this" nicht die zugeordnete Kategorie ist.
Returns:
  true, wenn er dem Pattern entspricht.
Throws:
  `RemoteException`
  `PatternSyntaxException` - wird geworden, wenn es ein regulaerer Ausdruck mit Fehlern ist.
See Also:
  - `UmsatzTyp.matches(de.willuhn.jameica.hbci.rmi.Umsatz, boolean)`

### matches

public boolean matches(Umsatz umsatz) throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob der Umsatz diesem Pattern entspricht. Ist fuer den Umsatz-Typ kein Pattern definiert, liefert die Funktion immer false.

Specified by:
  `matches` in interface `UmsatzTyp`
Parameters:
  `umsatz` - zu pruefender Umsatz.
Returns:
  true, wenn er dem Pattern entspricht.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.matches(de.willuhn.jameica.hbci.rmi.Umsatz)`

### getColor

public int[] getColor() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert die fuer diese Kategorie zu verwendende Farbe.

Specified by:
  `getColor` in interface `UmsatzTyp`
Returns:
  Farbe oder null, wenn noch keine definiert wurde.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getColor()`

### setColor

public void setColor(int[] rgb) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert die Farbe fuer die Umsatz-Kategorie.

Specified by:
  `setColor` in interface `UmsatzTyp`
Parameters:
  `rgb` - Farbe.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setColor(int[])`

### isCustomColor

public boolean isCustomColor() throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob eine benutzerdefinierte Farbe verwendet werden soll.

Specified by:
  `isCustomColor` in interface `UmsatzTyp`
Returns:
  true, wenn eine benutzerdefinierte Farbe verwendet werden soll.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.isCustomColor()`

### setCustomColor

public void setCustomColor(boolean b) throws RemoteException
Description copied from interface: `UmsatzTyp`
Legt fest, ob eine benutzerdefinierte Farbe verwendet werden soll.

Specified by:
  `setCustomColor` in interface `UmsatzTyp`
Parameters:
  `b` - true, wenn eine benutzerdefinierte Farbe verwendet werden soll.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.setCustomColor(boolean)`

### setKommentar

public void setKommentar(String kommentar) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert den Kommentar fuer den Umsatztyp.

Specified by:
  `setKommentar` in interface `UmsatzTyp`
Parameters:
  `kommentar` - der Kommentar.
Throws:
  `RemoteException`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert den Kommentar fuer den Umsatztyp.

Specified by:
  `getKommentar` in interface `UmsatzTyp`
Returns:
  Kommentar.
Throws:
  `RemoteException`

### getKonto

public Konto getKonto() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert das optional zugeordnete Konto.

Specified by:
  `getKonto` in interface `UmsatzTyp`
Returns:
  Konto.
Throws:
  `RemoteException`

### setKonto

public void setKonto(Konto konto) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert das optional zugeordnete Konto.

Specified by:
  `setKonto` in interface `UmsatzTyp`
Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`

### getKontoKategorie

public String getKontoKategorie() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert eine optionale Konto-Kategorie.

Specified by:
  `getKontoKategorie` in interface `UmsatzTyp`
Returns:
  eine optionale Konto-Kategorie.
Throws:
  `RemoteException`

### setKontoKategorie

public void setKontoKategorie(String kategorie) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert eine optionale Konto-Kategorie.

Specified by:
  `setKontoKategorie` in interface `UmsatzTyp`
Parameters:
  `kategorie` - die optionale Konto-Kategorie.
Throws:
  `RemoteException`

### getFlags

public int getFlags() throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert ein Bit-Feld mit Flags. Ein Objekt kann mit verschiedenen Flags markiert werden. Das kann zum Beispiel "deaktiviert" sein. Damit fuer kuenftige weitere Flags nicht immer ein neues Feld zur Datenbank hinzugefuegt werden muss, verwenden wir hier ein Bitfeld. Damit koennen mehrere Flags in einem Wert codiert werden.

Specified by:
  `getFlags` in interface `UmsatzTyp`
Returns:
  Bit-Feld mit den Flags des Objektes.
Throws:
  `RemoteException`

### setFlags

public void setFlags(int flags) throws RemoteException
Description copied from interface: `UmsatzTyp`
Speichert die Flags einen Objektes.

Specified by:
  `setFlags` in interface `UmsatzTyp`
Parameters:
  `flags` - die Flags in Form eines Bit-Feldes.
Throws:
  `RemoteException`

### hasFlag

public boolean hasFlag(int flag) throws RemoteException
Description copied from interface: `UmsatzTyp`
Prueft, ob das angegebene Flag vorhanden ist.

Specified by:
  `hasFlag` in interface `UmsatzTyp`
Parameters:
  `flag` - das zu pruefende Flag.
Returns:
  true, wenn es gesetzt ist.
Throws:
  `RemoteException`

### getPath

public String getPath(String sep) throws RemoteException
Description copied from interface: `UmsatzTyp`
Liefert einen Pfad mit den Namen der Kategorien bis zur obersten Ebene.

Specified by:
  `getPath` in interface `UmsatzTyp`
Parameters:
  `sep` - das Trennzeichen.
Returns:
  der Pfad.
Throws:
  `RemoteException`
See Also:
  - `UmsatzTyp.getPath(java.lang.String)`